# Django 启动

1. 无前端
2. 启动django
   + 进入交互式命令模式，创建并激活虚拟环境（仅创建Pipfile），安装依赖（可以使用`--python`参数指定`python`进行创建，本应用必须使用32位`python`）
    ```
    $pipenv --python /your/python/path-32/python.exe shell
    ```
   + 或者直接使用`install`创建虚拟环境（如果存在Pipfile和Pipfile.lock，则安装，不存在就创建），并安装依赖（可以使用`--python`参数指定`python`进行创建，本应用必须使用32位`python`）
    ```
    $pipenv --python /your/python/path-32/python.exe install
    ```
   + 迁移，如果项目重构，或项目迁移
   ```
   $python manage.py migrate
   ```

   + 启动（默认IP和端口）
    ```
    $python manage.py runserver
    ```
   + 启动（指定IP和端口）
    ```
    $python manage.py runserver 192.168.1.50:8080
    ```
